<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-nav-header
  (appLogout)="appLogout.emit()"
  [appCurrentUrl]="appCurrentUrl"
  [appMenuHidden]="appMenuHidden"
  [appUserName]="appUserName"
  [appUserRoles]="appUserRoles">
</app-nav-header>

<app-side-menu-container
  [appHideSideMenu]="appExitCode != null"
  cdk-scrollable
  class="nav-frame-content">

  <div class="nav-frame-content-main">

    <ng-container *ngIf="!appIsLoading">

      <app-exit-page
        (appRouting)="appRouting.emit()"
        (appClosing)="appCloseWindow.emit()"
        *ngIf="appExitCode != null; else ngContentTemplate"
        [appExitCode]="appExitCode"
        [appHref]="appPortalRoute">
      </app-exit-page>

      <ng-template #ngContentTemplate>
        <ng-content></ng-content>
      </ng-template>

    </ng-container>

  </div>

  <div class="nav-frame-content-footer">
    {{ 'core.version' | translate: {version: appVersion} }}
  </div>

</app-side-menu-container>
